#include <iostream>
using namespace std;

// Uzunluk birimlerini enum olarak tanımlama
enum Birim {
    KILOMETRE,
    HEKTOMETRE,
    DEKAMETRE,
    METRE,
    DESIMETRE,
    SANTIMETRE,
    MILIMETRE,
    MIKROMETRE,
    NANOMETRE,
    PIKOMETRE,
    FEMTOMETRE,
    ATTOMETRE
};

// Uzunluk birimlerini dönüştüren fonksiyon prototipleri
double kilometreToMetre(double);
double hektometreToMetre(double);
double dekametreToMetre(double);
double desimetreToMetre(double);
double santimetreToMetre(double);
double milimetreToMetre(double);
double mikrometreToMetre(double);
double nanometreToMetre(double);
double pikometreToMetre(double);
double femtometreToMetre(double);
double attometreToMetre(double);

int main() {
    char girilenBirim, donusturulecekBirim;
    double miktar;

    cout << "Hangi birimi gireceksiniz? (K/H/D/M/d/s/mi/n/pi/f/a): ";
    cin >> girilenBirim;

    cout << "Neye donustureceksiniz? (K/H/D/M/d/s/mi/n/pi/f/a): ";
    cin >> donusturulecekBirim;

    cout << "Degistirilecek miktar: ";
    cin >> miktar;

    double sonuc;
    // Dönüşüm fonksiyonlarını çağırma
    switch(girilenBirim) {
        case 'K':
            sonuc = kilometreToMetre(miktar);
            break;
        case 'H':
            sonuc = hektometreToMetre(miktar);
            break;
        case 'D':
            sonuc = dekametreToMetre(miktar);
            break;
        case 'M':
            sonuc = miktar;
            break;
        case 'd':
            sonuc = desimetreToMetre(miktar);
            break;
        case 's':
            sonuc = santimetreToMetre(miktar);
            break;
        case 'm':
            sonuc = milimetreToMetre(miktar);
            break;
        case 'mi':
            sonuc = mikrometreToMetre(miktar);
            break;
        case 'n':
            sonuc = nanometreToMetre(miktar);
            break;
        case 'pi':
            sonuc = pikometreToMetre(miktar);
            break;
        case 'f':
            sonuc = femtometreToMetre(miktar);
            break;
        case 'a':
            sonuc = attometreToMetre(miktar);
            break;
        default:
            cout << "Gecersiz birim secimi!" << endl;
            return 1;
    }

    // İkinci birime dönüşüm yapma
    switch(donusturulecekBirim) {
        case 'K':
            sonuc /= 1000; // Metreden kilometreye dönüşüm
            break;
        case 'H':
            sonuc /= 100; // Metreden hektometreye dönüşüm
            break;
        case 'D':
            sonuc /= 10; // Metreden dekametreye dönüşüm
            break;
        case 'M':
            break; // Metre olarak sonucu kullan
        case 'd':
            sonuc *= 10; // Metreden desimetreye dönüşüm
            break;
        case 's':
            sonuc *= 100; // Metreden santimetreye dönüşüm
            break;
        case 'm':
            sonuc *= 1000; // Metreden milimetreye dönüşüm
            break;
        case 'mi':
            sonuc *= 1000000; // Metreden mikrometreye dönüşüm
            break;
        case 'n':
            sonuc *= 1000000000; // Metreden nanometreye dönüşüm
            break;
        case 'pi':
            sonuc *= 1000000000000; // Metreden pikometreye dönüşüm
            break;
        case 'f':
            sonuc *= 1000000000000000; // Metreden femtometreye dönüşüm
            break;
        case 'a':
            sonuc *= 1000000000000000000; // Metreden attometreye dönüşüm
            break;
        default:
            cout << "Gecersiz birim secimi!" << endl;
            return 1;
    }

    // Sonucu ekrana yazdırma
    cout << "Sonuc: " << sonuc << endl;

    return 0;
}

// Uzunluk birimlerini dönüştüren fonksiyonlar
double kilometreToMetre(double km) {
    return km * 1000;
}

double hektometreToMetre(double hm) {
    return hm * 100;
}

double dekametreToMetre(double dam) {
    return dam * 10;
}

double desimetreToMetre(double dm) {
    return dm / 10;
}

double santimetreToMetre(double cm) {
    return cm / 100;
}

double milimetreToMetre(double mm) {
    return mm / 1000;
}

double mikrometreToMetre(double mi) {
    return mi / 1000000;
}

double nanometreToMetre(double nm) {
    return nm / 1000000000;
}

double pikometreToMetre(double pi) {
    return pi / 1000000000000;
}

double femtometreToMetre(double f) {
    return f / 1000000000000000;
}

double attometreToMetre(double a) {
    return a / 1000000000000000000;
}
